Package org.tmatesoft.svn.core.wc.xml

## Class AbstractXMLHandler

- java.lang.Object
- - org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler

- All Implemented Interfaces:
    `org.xml.sax.Locator`
  Direct Known Subclasses:
    `SVNXMLAnnotateHandler`, `SVNXMLDirEntryHandler`, `SVNXMLInfoHandler`, `SVNXMLLogHandler`, `SVNXMLStatusHandler`

      public abstract class AbstractXMLHandler
      extends java.lang.Object
      implements org.xml.sax.Locator

  AbstractXMLLogger is a basic XML formatter for all XML handler classes which are provided in this package. All XML output is written to a specified ContentHandler.
  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractXMLHandler​(org.xml.sax.ContentHandler contentHandler, org.tmatesoft.svn.util.ISVNDebugLog log)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addAttribute​(java.lang.String name, java.lang.String value)` |
    `protected void` | `addTag​(java.lang.String tagName, java.lang.String value)` |
    `protected void` | `closeTag​(java.lang.String name)` |
    `void` | `endDocument()` | Stops logging.
    `int` | `getColumnNumber()` |
    `protected org.tmatesoft.svn.util.ISVNDebugLog` | `getDebugLog()` |
    `protected abstract java.lang.String` | `getHeaderName()` |
    `int` | `getLineNumber()` |
    `java.lang.String` | `getPublicId()` |
    `java.lang.String` | `getSystemId()` |
    `protected void` | `openTag​(java.lang.String name)` |
    `void` | `startDocument()` | Starts logging.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractXMLHandler

          protected AbstractXMLHandler​(org.xml.sax.ContentHandler contentHandler,
                                       org.tmatesoft.svn.util.ISVNDebugLog log)

  - ### Method Detail

    - #### getDebugLog

          protected org.tmatesoft.svn.util.ISVNDebugLog getDebugLog()

    - #### startDocument

          public void startDocument()

      Starts logging.

    - #### endDocument

          public void endDocument()

      Stops logging.

    - #### getHeaderName

          protected abstract java.lang.String getHeaderName()

    - #### openTag

          protected void openTag​(java.lang.String name)
                          throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### closeTag

          protected void closeTag​(java.lang.String name)
                           throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### addTag

          protected void addTag​(java.lang.String tagName,
                                java.lang.String value)
                         throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### addAttribute

          protected void addAttribute​(java.lang.String name,
                                      java.lang.String value)

    - #### getColumnNumber

          public int getColumnNumber()

      Specified by:
        `getColumnNumber` in interface `org.xml.sax.Locator`
      Returns:
        `0`

    - #### getLineNumber

          public int getLineNumber()

      Specified by:
        `getLineNumber` in interface `org.xml.sax.Locator`
      Returns:
        `0`

    - #### getPublicId

          public java.lang.String getPublicId()

      Specified by:
        `getPublicId` in interface `org.xml.sax.Locator`
      Returns:
        null

    - #### getSystemId

          public java.lang.String getSystemId()

      Specified by:
        `getSystemId` in interface `org.xml.sax.Locator`
      Returns:
        null